Subject: Re: [Bitcoin-development] Payment Protocol for Face-to-face Payments

From: Andreas Schildbach <[email-masked]>
Date: Fri, 21 Mar 2014 16:20:40 +0100

On 03/21/2014 02:54 PM, Alex Kotenko wrote:

>     > I wonder how complex it would be to implement HTTP-over-Bluetooth. Not
>     > like I'm willing to do that now, but HTTP is well known and proven
>     to be
>     > quite good for tasks like this, so in theory it would be handy to have
>     > such capacities in here.
> 
>     Thought of that as well. On the other hand, HTTP might be overkill and
>     we inherit its potential downsides as well.
> 
> ​It definitely is an overkill. Don't think we should do it now unless we
> will see later during implementation that we really have to.

Btw. we could also consider SPDY. I'm not sure about the advantages, but
its probably quicker and leaner.